# Get Tasks Filtered

PUT /filter

#### Description

Retrieves a list of tasks that match the specified filter criteria, such as status, assignee, due date, or category.

Endpoint: PUT /filter
Version: 1.0
Security: oauth2

## Request fields (application/json):

  - `targetObjectType` (string)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `targetObjectIds` (array)
    The list of target object identifiers to filter by.
    Example: ["23b802db-bad2-4f7a-b8d1-ac1177909992"]

  - `taskIds` (array)
    The list of task identifiers to filter by.
    Example: ["23b802db-bad2-4f7a-b8d1-ac1177909992"]

  - `assigneeIds` (array)
    The list of assignee identifiers to filter tasks by.
    Example: ["23b802db-bad2-4f7a-b8d1-ac1177909992"]

  - `modifiedAfter` (string)
    Filter tasks that were modified after the date provided (ISO-8601 format).
    Example: "2020-12-17T20:00:00Z"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the task.
    Example: "ba50096d-bbfa-47af-94a7-092b0984cf35"

  - `orgId` (string)
    The unique identifier of the organization the task belongs to.
    Example: "4c05da3f-f076-461c-8105-80a07a42ab7f"

  - `title` (string)
    The title of the task.
    Example: "Submit the latest employee agreements"

  - `description` (string)
    The description of the task.
    Example: "The latest employee agreements are needed for the upcoming audit."

  - `assigneeId` (string)
    The unique identifier of the user assigned to the task.
    Example: "ad21d858-c271-4c6d-8780-fecf6b16e534"

  - `targetId` (string)
    The unique identifier of the object that is the target of the task.
    Example: "23b802db-bad2-4f7a-b8d1-ac1177909992"

  - `targetType` (string)
    The object type of the target of the task.
    Example: "control"

  - `taskStatusId` (string)
    The unique identifier of the task status for the task.
    Example: "e2303b2b-5ee4-4354-92de-dfacd1d33f09"

  - `priority` (string)
    The priority level.
    Enum: "highest", "high", "medium", "low", "lowest"

  - `dueDate` (string)
    The due date of the task (ISO-8601 format).
    Example: "2020-12-17T20:00:00Z"

  - `createdOn` (string)
    The date and time the task was created (ISO-8601 format).
    Example: "2020-12-17T20:00:00Z"

  - `updatedOn` (string)
    The date and time the task was last updated (ISO-8601 format).
    Example: "2020-12-17T20:00:00Z"

  - `groupId` (string)
    The unique identifier of the group assigned to the task.
    Example: "193ceec7-4911-11ef-8f90-8688bf62af58"


